<?php

Route::any('login', '\Edwin404\Admin\Http\Controllers\LoginController@index');
Route::any('login/flush', '\Edwin404\Admin\Http\Controllers\LoginController@flush');
Route::any('login/captcha', '\Edwin404\Admin\Http\Controllers\LoginController@captcha');
Route::any('logout', '\Edwin404\Admin\Http\Controllers\LoginController@logout');

Route::any('sso/client', '\Edwin404\Admin\Http\Controllers\LoginController@ssoClient');
Route::any('sso/server', '\Edwin404\Admin\Http\Controllers\LoginController@ssoServer');
Route::any('sso/server_success', '\Edwin404\Admin\Http\Controllers\LoginController@ssoServerSuccess');
Route::any('sso/server_logout', '\Edwin404\Admin\Http\Controllers\LoginController@ssoServerLogout');

Route::any('system/changepwd', '\Edwin404\Admin\Http\Controllers\SystemController@changePwd');
Route::any('system/clear_cache', '\Edwin404\Admin\Http\Controllers\SystemController@clearCache');

Route::any('system/user/role/list', '\Edwin404\Admin\Http\Controllers\SystemController@userRoleList');
Route::any('system/user/role/edit/{id?}', '\Edwin404\Admin\Http\Controllers\SystemController@userRoleEdit');
Route::any('system/user/role/delete/{id}', '\Edwin404\Admin\Http\Controllers\SystemController@userRoleDelete');

Route::any('system/user/list', '\Edwin404\Admin\Http\Controllers\SystemController@userList');
Route::any('system/user/edit/{id?}', '\Edwin404\Admin\Http\Controllers\SystemController@userEdit');
Route::any('system/user/delete/{id}', '\Edwin404\Admin\Http\Controllers\SystemController@userDelete');

Route::any('system/data/image_select_dialog', '\Edwin404\Admin\Http\Controllers\DataController@imageSelectDialog');
Route::any('system/data/select_dialog/{category}', '\Edwin404\Admin\Http\Controllers\DataController@selectDialog');
Route::any('system/data/temp_data_upload/{category}', '\Edwin404\Admin\Http\Controllers\DataController@tempDataUpload');
Route::any('system/data/ueditor', '\Edwin404\Admin\Http\Controllers\DataController@ueditorHandle');

Route::any('upgrade/{action}', '\Edwin404\Admin\Http\Controllers\UpgradeController@index');